      LOGICAL FUNCTION ISR4SPV(X)
      IMPLICIT NONE
C
C**********************************************************************
C
C   NAME- ISR4SPV
C
C   LANGUAGE- FORTRAN-77      TYPE- LOGICAL FUNCTION  COMPUTER- IBM SP
C
C   VERSION- 1.0    DATE- 3/26/03    PROGRAMMER- KV JARVA
C
C   FUNCTION - THIS ROUTINE TEST A VALUE TO SEE IT IT SHOULD BE TREATED   
C        AS A R4 SPECIAL VALUE
C        TF THE VALUE IS SIGNIFICANTLY CLOSE TO R4SPV, RETURN TRUE
C
c
C
C   PARAMETERS-
C      VARIABLE                TYPE I/O FUNCTION
C      --------                ---- --- --------
C      X                       REAL  I  ONE VALUE TO TEST
C
C   SUBPROGRAMS CALLED- NONE
C
C   COMMON AREAS- NONE
C
C**********************************************************************
C
      INCLUDE 'SPVAL'

      REAL X, PR4SPV, MR4SPV 
C
      PR4SPV = R4SPV + 1.0e-53
      MR4SPV = R4SPV - 1.0e-53
C      
      IF (PR4SPV .GE. X .AND. MR4SPV .LE. X) THEN
         ISR4SPV = .TRUE.
      ELSE
         ISR4SPV = .FALSE.
      ENDIF
      RETURN
      END
